Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.webdav
Class DAVManager

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.HttpManager
            |
            +--org.w3c.www.protocol.webdav.DAVManager

public class DAVManager
extends HttpManager

Fields inherited from class org.w3c.www.protocol.http.HttpManager
`ACCEPT_ENCODING_P, ACCEPT_LANGUAGE_P, ACCEPT_P, conn_count, conn_max, CONN_MAX_P, connectionsLru, DEFAULT_ACCEPT, DEFAULT_USER_AGENT, FILTERS_PROP_P, keepbody, KEEPBODY_P, lenient, LENIENT_P, MAX_STALE_P, MIN_FRESH_P, ONLY_IF_CACHED_P, PROXY_HOST_P, PROXY_PORT_P, PROXY_SET_P, SERVER_CLASS_P, serverclass, servers, template, timeout, TIMEOUT_P, USER_AGENT_P`

Constructor Summary
`DAVManager()`

Method Summary
`DAVRequest` | `createDAVRequest()` Create a new default outgoing request.
`static DAVManager` | `getDAVManager()`
`static DAVManager` | `getDAVManager(java.util.Properties p)` Get an instance of the WEBDAV manager.
`protected static HttpManager` | `getNewInstance()`
`MimeParserFactory` | `getReplyFactory()`
`static void` | `main(java.lang.String[] args)` DEBUGGING !
`DAVReply` | `runDAVRequest(DAVRequest request)` Run the given request, in synchronous mode.

Methods inherited from class org.w3c.www.protocol.http.HttpManager
`closeAnyConnection, createRequest, decrConnCount, deleteConnection, getConnection, getGlobalFilter, getGlobalHeader, getManager, getManager, getManager, getProperties, getServerKey, incrConnCount, isLenient, lookupServer, negotiateConnection, notifyConnection, notifyIdle, notifyUse, propertyChanged, runRequest, setAllowUserInteraction, setFilter, setFilter, setGlobalHeader, setLenient, setMaxConnections, setProxy, setRequestTimeout, setTimeout, sync, tooManyConnections, updateProxy, usingProxy, waitForConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVManager

    public DAVManager()

Method Detail

### getNewInstance

    protected static HttpManager getNewInstance()

### getDAVManager

    public static DAVManager getDAVManager(java.util.Properties p)

  Get an instance of the WEBDAV manager. This method returns an actual instance of the WEBDAV manager. It may return different managers, if it decides to distribute the load on different managers (avoid the HttpManager being a bottleneck).
  Returns:
    An application wide instance of the WEBDAV manager.

### getDAVManager

    public static DAVManager getDAVManager()

### getReplyFactory

    public MimeParserFactory getReplyFactory()

  Overrides:
    getReplyFactory in class HttpManager

### createDAVRequest

    public DAVRequest createDAVRequest()

  Create a new default outgoing request. This method should always be used to create outgoing requests. It will initialize the request with appropriate default values for the various headers, and make sure that the request is enhanced by the registered request filters.
  Returns:
    An instance of DAVRequest, suitable to be launched.

### runDAVRequest

    public DAVReply runDAVRequest(DAVRequest request)
                           throws HttpException

  Run the given request, in synchronous mode. This method will launch the given request, and block the calling thread until the response headers are available.
  Parameters:
    `request` - The request to run.
  Returns:
    An instance of Reply, containing all the reply informations.
  Throws:
    HttpException - If something failed during request processing.

### main

    public static void main(java.lang.String[] args)

  Description copied from class: HttpManager
  DEBUGGING !

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD